SystemOrganization addCategory: #'A4BP-Tests-core'!
SystemOrganization addCategory: 'A4BP-Tests-core-model'!

A4BPResourceDownload subclass: #A4BPSourceRemoteRepository
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-Tests-core'!

!A4BPSourceRemoteRepository commentStamp: 'AlvaroJosePeraltaOcampo 12/1/2014 17:31' prior: 0!
An A4BPSourceRemoteRepository is repository with diferent kind of examples.
!

!A4BPSourceRemoteRepository class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:21'!
annotation
<MSEClass: #A4BPSourceRemoteRepository  super: #A4BPResourceDownload >
<package: #'A4BP-Tests-core' >! !

!A4BPSourceRemoteRepository class methodsFor: 'download' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 17:30'!
downloadBOBSOAzipExample
	"self downloadTesis001zipExample"
	| working contents |
	working := self baseDirectory.
	contents := self
		getContentsFromURL: 'https://github.com/ajperalt/A4BP-Process-Example/blob/master/BPMN20/bob.soa.zip?raw=true'.
	self unzipContentIn: working with: contents! !

!A4BPSourceRemoteRepository class methodsFor: 'download' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 17:29'!
downloadTesis001zipExample
	"self downloadTesis001zipExample"
	| working contents |
	working := self baseDirectory.
	contents := self
		getContentsFromURL: 'https://github.com/ajperalt/A4BP-Process-Example/blob/master/bpel20/tesis001.zip?raw=true'.
	self unzipContentIn: working with: contents! !

!A4BPSourceRemoteRepository class methodsFor: 'example' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:41'!
exampleDownloadAndUnzipSource
	"self exampleDownloadAndUnzipSource"

	| working response contents archive |
	working := FileSystem disk workingDirectory.
	(working / 'tesis001.zip') isFile
		ifFalse: [ 
			response := ZnClient new
				url: 'https://github.com/ajperalt/A4BP/blob/master/src-test-examples/bpel20/tesis001.zip?raw=true';
				get;
				response.
			contents := response contents.
			archive := ZipArchive new.
			archive readFrom: contents readStream.
			archive extractAllTo: (working / 'tesis001') ]! !

!A4BPSourceRemoteRepository class methodsFor: 'get' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 17:27'!
getContentsFromGitIn: url usingpath: path withName: fileName andEndPath: endPath
	^ self getContentsFromURL: (url , path , fileName , endPath)! !

!A4BPSourceRemoteRepository class methodsFor: 'pathBase' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:41'!
gitBaseURL
	^ 'https://github.com/ajperalt/A4BP/blob/master/'! !

!A4BPSourceRemoteRepository class methodsFor: 'pathBase' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:41'!
gitEndPathURL
	^ '?raw=true'! !

!A4BPSourceRemoteRepository class methodsFor: 'path' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 13:24'!
pathAllModels
	| file |
	file := self baseDirectory.
	^ file path! !

!A4BPSourceRemoteRepository class methodsFor: 'path' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 17:32'!
pathBobSoa
	|file|
	file :=( self baseDirectory / 'bob.soa').
	file isDirectory ifFalse:[
		"try to download the process"
		self downloadBOBSOAzipExample.
		].
	^  file path.! !

!A4BPSourceRemoteRepository class methodsFor: 'path' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:41'!
pathTesis001
	|file|
	file :=( self baseDirectory / 'tesis001').
	file isDirectory ifFalse:[
		"try to download the process"
		self downloadTesis001zipExample.
		].
	^  file path.! !

TestCase subclass: #A4BPAbstractTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-Tests-core'!

A4BPAbstractTest subclass: #A4BPSOAContextTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-Tests-core-model'!

!A4BPSOAContextTest methodsFor: 'test' stamp: 'AlvaroJosePeraltaOcampo 3/18/2015 17:09'!
testcreateBaseOnPath
	|toTest v|
	toTest := A4BPSOAContext createBaseOnPath: A4BPSourceRemoteRepository pathBobSoa.
	v:= toTest lstBPMN20.
	self assert: v size > 0.! !
